Package org.apache.commons.math3.analysis.differentiation

# Class GradientFunction

java.lang.Object
org.apache.commons.math3.analysis.differentiation.GradientFunction

All Implemented Interfaces:
  `MultivariateVectorFunction`

public class GradientFunction extends Object implements MultivariateVectorFunction
Class representing the gradient of a multivariate function.

The vectorial components of the function represent the derivatives with respect to each function parameters.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`GradientFunction(MultivariateDifferentiableFunction f)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`value(double[] point)`
Compute the value for the function at the given point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GradientFunction

public GradientFunction(MultivariateDifferentiableFunction f)
Simple constructor.

Parameters:
  `f` - underlying real-valued function

## Method Details

### value

public double[] value(double[] point)
Compute the value for the function at the given point.

Specified by:
  `value` in interface `MultivariateVectorFunction`
Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point